<div class="main-wrapper">



<!-- TITLE  -->
<div class="h1-block">
  <h1><%= @post.title %></h1>
</div>


<!-- IMAGE -->
<% unless @post.image_file_name.nil? %>
  <div><%= image_tag @post.image.url(:large), :class=> "img-responsive" %></div><br>
<% end %>

<!-- DATE  -->
<p class="grey"><strong class="grey">Added:</strong>
  <%= @post.added %></p>
<!-- PEREX -->
<div class="post-perex">
  <p><%= @post.perex %></p>
</div>
<!-- TEXT -->
<p>
  <%= raw @post.text %>
</p><br/>
<!-- AUTHOR -->
<p class="grey right">
  <% unless @post.user.name.nil? %>
    <strong class="grey">Author:</strong>
    <%= @post.user.name %>
  <% end %>
</p>  
<!-- TAGS -->

<h4><% unless @post.tags.empty? %>
    <strong>Tags:</strong>
    <% @post.tags.each do |tag| %>
      <div class="tag">
        <%= link_to tag.name, tag_path(tag), class: "nounderline" %>

      </div>
    <% end %>
<% end %>
</h4><br/>

<!-- RATING -->
<h4>
  <% unless @post.ratings.empty? %>
    <strong>Rating:</strong>
    <%= @post.ratings.average(:value) %>
  <% end %> 
</h4><br/>

<p><h4>Rate this post:</h4>
<%= render 'ratings/form' %>
</p>

<% if @post.post_option.comments_allowed %>

  <% if @post.user_id == current_user.id%>
    <% unless @post.not_allowed_comments.empty? %>
      <h4>These comments need approval:</h4>
      <%= render partial: 'comments/unpermitted_comment', collection: @post.not_allowed_comments, as: :comment %>
    <% end %>
  <% end %>

    <% if !@post.not_allowed_comments_for_current_user(current_user.id).empty? and @post.user_id != current_user.id%>
      <h4>These comments are waiting for approval:</h4>
      <%= render partial: 'comments/unpermitted_comment', collection: @post.not_allowed_comments_for_current_user(current_user.id), as: :comment %>
    <% end %>


    <h4>Add a comment:</h4>
  <%= render 'comments/form' %>
  <p class="line-break"></p>

  <h4>Comments: <%= @post.primary_comments.count() %></h4></p>
    <div id="comments_div">
      <%= render @post.primary_comments %>
    </div>

<% end %>

<% if @post.user_id == current_user.id %>
	<%= link_to 'Edit post', edit_post_path(@post), :class=> "btn btn-green" %>
    <%= link_to post_path, method: :delete, data: { confirm: 'Are you sure?' }, class: "btn btn-danger" do %>
      Delete
    <% end %>
<% end %>


<div>
  <%= link_to posts_path, class: "btn btn-back" do %>
    <span class="glyphicon glyphicon-arrow-left"></span> All Posts
  <% end %>
</div>

</div>
